<!DOCTYPE HTML>

<html lang="en-US">

<head>

	<meta charset="UTF-8">

	<title>UstaDerslik</title>

	<script type="text/javascript" src="jquery-1.11.1.min.js"></script>

	<script type="text/javascript">

		$(function(){

		

				$("#resim").change(function(){//her hangi bir şey seçilirse

					var resim=document.getElementById ("resim");//resime eriş

					

					if (resim.files && resim.files[0]){//veri var mı kontrol ediyoruz.

						var veri=new FileReader();//apiyi başlatıyoruz.

						veri.onload=function() {//aşağıda dosya verisini okuyoruz.Eğer veri okunmuşsa

							var resimveri=veri.result;//veriyi al

							

								$.post("kayit.php",{"veri":resimveri},function(resim){//kayit.php yolluyoruz.

									$(".resim").html('<img src="'+resim+'" />');//kayit php den dönen veri ile resimi çizdiriyoruz.Geri dönen veri resim urlsi.

								})

						}

						veri.readAsDataURL(resim.files[0]);//veriyi okuyoruz.

					}

				});

				

		})

	</script>

</head>

<body>



		<input type="file" id="resim" /> <br />

		<div class="resim"></div>



</body>

</html>